=== debian/changelog ===
opencv (4.5.4+dfsg-9~bpo10+1) bullseye-backports; urgency=medium

  * Add Marc Leeman to Uploaders
  * debian: add lintian-overrides

 -- Marc Leeman <m.leeman@televic.com>  Fri, 18 Mar 2022 09:39:05 +0100

opencv (4.5.4+dfsg-9) unstable; urgency=medium

  * Fix broken symlink
  * Apply MA hint

 -- Timo Röhling <roehling@debian.org>  Tue, 30 Nov 2021 23:32:18 +0100

opencv (4.5.4+dfsg-8) unstable; urgency=medium

  * Resolve file conflict with libopencv4.5-jni (Closes: #999760)

 -- Timo Röhling <roehling@debian.org>  Tue, 30 Nov 2021 13:24:59 +0100

opencv (4.5.4+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Add patch for Debian Soname in pkg-config (Closes: #1000625)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 26 Nov 2021 09:52:16 +0100

opencv (4.5.4+dfsg-6) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Thu, 25 Nov 2021 22:21:16 +0100

opencv (4.5.4+dfsg-5) experimental; urgency=medium

  * Keep package name libopencv4.5-java

 -- Timo Röhling <roehling@debian.org>  Thu, 25 Nov 2021 20:56:30 +0100

opencv (4.5.4+dfsg-4) experimental; urgency=medium

  * Also add -d suffix to jar files (Closes: #999760)

 -- Timo Röhling <roehling@debian.org>  Fri, 19 Nov 2021 18:43:14 +0100

opencv (4.5.4+dfsg-3) experimental; urgency=medium

  * Also add -d suffix to shared library filenames (Closes: #999760)

 -- Timo Röhling <roehling@debian.org>  Tue, 16 Nov 2021 15:09:55 +0100

opencv (4.5.4+dfsg-2) experimental; urgency=medium

  * Team upload.
  * Bump SOVERSION to 4.5d after upstream ABI breakage (Closes: #998141)

 -- Timo Röhling <roehling@debian.org>  Sat, 13 Nov 2021 12:49:30 +0100

opencv (4.5.4+dfsg-1) unstable; urgency=medium

  * New upstream version 4.5.4+dfsg.
  * Update d/control
    - Add dh-sequence-python3 to B-D

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 18 Oct 2021 11:54:56 +0900
